<style>
#Video {
  position: fixed;
  left: 0;
  top: 0;
  width: auto;
  height: 100%;
}

.vidcontent {
  position: fixed;
  color: #f1f1f1;
  width: 100%;
  height: 100vh;
  font-family: arial;
  float: right;
  right: 0;
}
	


#control {
  width: 4vw;
  height: 4vw;
  bottom: 1vw;
  left: 1vw;
  border-radius: 50%;
  padding: 10px;
  border: none;
  background: #54595c;
  background-image: url(https://draegerup.com/wp-content/uploads/pause-solid.svg);
  background-size: 2vw 2vw;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  box-shadow: 0px 0px 10px 0px rgb(0 0 0 / 50%);
  color: #fff;
  cursor: pointer;
  position: absolute;
  opacity: 0.35;
}
#control:hover {
  opacity: 1;
  transition: all 0.25s;
}
#sound {
  width: 4vw;
  height: 4vw;
  bottom: 1vw;
  left: 6vw;
  border-radius: 50%;
  padding: 10px;
  border: none;
  background: #54595c;
  background-image: url(https://draegerup.com/wp-content/uploads/volume-up-solid.svg);
  background-size: 2vw 2vw;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  box-shadow: 0px 0px 10px 0px rgb(0 0 0 / 50%);
  color: #fff;
  cursor: pointer;
  position: absolute;
  opacity: 0.35;
}
#sound:hover {
  opacity: 1;
  transition: all 0.25s;
}
#fullscreen {
  width: 4vw;
  height: 4vw;
  bottom: 1vw;
  right: 1vw;
  border-radius: 50%;
  padding: 10px;
  border: none;
  background: #54595c;
  background-image: url(https://draegerup.com/wp-content/uploads/expand-alt-solid.svg);
  background-size: 2vw 2vw;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  box-shadow: 0px 0px 10px 0px rgb(0 0 0 / 50%);
  color: #fff;
  cursor: pointer;
  position: absolute;
  opacity: 0.35;
}
#fullscreen:hover {
  opacity: 1;
  transition: all 0.25s;
}
.vidHeadline {line-height:4vw; position: absolute; left:35vw; bottom: 3vw; font-size:3vw;}
#timestamp{line-height:2vw; position: unset; left:35vw; bottom: 3vw; font-size:1vw;}
</style>

<video onload="playpause(); sound();" loop <?php block_field( 'meta' ); ?> id="Video" poster="<?php block_field( 'poster' ); ?>">
  <source src="<?php block_field( 'src' ); ?>" type="video/mp4">
</video>

<div class="vidcontent">
  <div class="vidHeadline"><?php block_field( 'headline' ); ?></div>
  <button id="control" onclick="playpause()"></button>
  <button id="sound" onclick="sound()"></button>
  <button id="fullscreen" onclick="fullscreen()"></button>
</div>

<script>
var video = document.getElementById("Video");
var btn = document.getElementById("control");
var sbtn = document.getElementById("sound");

function playpause() {
  if (video.paused) {
    video.play();
    btn.style.backgroundImage = "url('https://draegerup.com/wp-content/uploads/pause-solid.svg')";
  } else {
    video.pause();
    btn.style.backgroundImage = "url('https://draegerup.com/wp-content/uploads/play-solid.svg')";
  }
}
function sound() {
  if (video.muted) {
    video.muted = false;
    sbtn.style.backgroundImage = "url('https://draegerup.com/wp-content/uploads/volume-up-solid.svg')";
  } else {
    video.muted = true;
    sbtn.style.backgroundImage = "url('https://draegerup.com/wp-content/uploads/volume-mute-solid.svg')";
  }
}
function fullscreen() {
  var element = document.getElementById("Video");       
  if (element.mozRequestFullScreen) {
    element.mozRequestFullScreen();
  } else if (element.webkitRequestFullScreen) {
    element.webkitRequestFullScreen();
  }  
}


	


</script>